Select Language

WoW Patch 5.4 Siege of Orgimmar -- mandatory V6.1.0 now up!

bringoutyourdead

 
Shock and Awe... Uploaded the new version of CensusPlus v6.1.0 to curse...
and it was approved and enabled on the site in under 2 minutes.

Either my past upload history has triggered a switch.. or they haven't had many uploads for the new Siege of Orgrimmar patch...

So go grab the file... but remember if in EU land... don't patch your 5.3 client with this version... it is for 5.4 WoW and above only!
FuxieDK says:
September 10,2013 at 23:32
Well, you wrote this message, 55 minutes before EU servers was taken down for updates, so not too much to worry about ;-)

Leave a Reply

You must be Logged In in order to post comments.


 
Advertise Here!